%define name	 openmpi
%define version	 1.2.5
%define release  2

%define oldmajor 1
%define major	 1.2
%define libname  %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary: 	A powerful implementation of MPI
Name:		%{name}
Version: 	%{version}
Release: 	%mkrel %{release}
License: 	BSD
Group: 		Development/Other
Source: 	http://www.open-mpi.org/software/ompi/v%{major}/downloads/openmpi-%{version}.tar.bz2
Url: 		http://www.open-mpi.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	%{libname} = %{version}, %{develname} = %{version}
BuildRequires:	gcc-gfortran
Conflicts:	mpich, mpich2, lam

%description
OpenMPI is a project combining technologies and resources from
several other projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in
order to build the best MPI library available.

This package contains all of the tools necessary to compile, link, and run
OpenMPI jobs.

%package -n %{libname}
Summary:	Shared libraries for OpenMPI
Group:		Development/Other
Provides:	lib%{name} = %{version}-%{release}
Obsoletes:	%mklibname %{name} %{oldmajor}

%description -n %{libname}
OpenMPI is a project combining technologies and resources from
several other projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in
order to build the best MPI library available.

This package contains the shared libraries needed by programs linked against
OpenMPI.

%package -n %{develname}
Summary:	Development files for OpenMPI
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel  = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %{name} %{oldmajor}
Obsoletes:	%mklibname -d %{name} %{major}
Conflicts:	lam-devel, mpich1-devel, mpich2-devel

%description -n %{develname}
OpenMPI is a project combining technologies and resources from
several other projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in
order to build the best MPI library available.

This package contains the libraries and header files needed to
compile applications against OpenMPI.

%prep
%__rm -rf %{buildroot}
%setup -q -n %{name}-%{version}

%build

# Disable libtoolize because it messes up the generated libtool
# in OpenMPI 1.2:
%define __libtoolize /bin/true

%configure2_5x --enable-shared --enable-static
%make

%install
%make install DESTDIR=%{buildroot}
%__rm -rf %{buildroot}%{_libdir}/debug
%__mv %{buildroot}%{_sysconfdir}/openmpi-totalview.tcl %{buildroot}%{_datadir}/openmpi/doc

%clean
%__rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%doc README INSTALL LICENSE NEWS LICENSE AUTHORS examples/
%{_sysconfdir}/*
%{_datadir}/openmpi
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname} 
%defattr(-, root, root, -)
%{_libdir}/*.so.*
%{_libdir}/%{name}/*.so

%files -n %{develname}
%defattr(-, root, root, -)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.mod
%{_libdir}/%{name}/*.la
%{_libdir}/*.a
%{_libdir}/%{name}/*.a
%{_mandir}/man3/*


%changelog
* Sat Jan 26 2008 Giuseppe Ghibò <ghibo@mandriva.com> 1.2.5-2mdv2008.1
+ Revision: 158330
- Enable static libraries.

* Wed Jan 09 2008 Lev Givon <lev@mandriva.org> 1.2.5-1mdv2008.1
+ Revision: 147333
- Update to 1.2.5.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 25 2007 Lev Givon <lev@mandriva.org> 1.2.4-2mdv2008.1
+ Revision: 102121
- Update to adhere to new devel library naming policy.
  Obsolete old versions of libopenmpi properly.
- Update to 1.2.4.

* Thu Jul 26 2007 Lev Givon <lev@mandriva.org> 1.2.3-2mdv2008.0
+ Revision: 56047
- Make openmpi package depend on devel package; the
  mpi* utilities need the header files in /usr/include to actually
  compile anything.

* Mon Jul 02 2007 Lev Givon <lev@mandriva.org> 1.2.3-1mdv2008.0
+ Revision: 47183
- Update to 1.2.3.

* Mon May 21 2007 Lev Givon <lev@mandriva.org> 1.2.2-1mdv2008.0
+ Revision: 29465
- Update to 1.2.2.

* Thu May 10 2007 Lev Givon <lev@mandriva.org> 1.2.1-1mdv2008.0
+ Revision: 26036
- Update to 1.2.1.

* Wed Apr 18 2007 Lev Givon <lev@mandriva.org> 1.2-1mdv2008.0
+ Revision: 14311
- Update to 1.2.
  Rearrange package contents.


* Mon Feb 12 2007 Lev Givon <lev@mandriva.org> 1.1.4-1mdv2007.0
+ Revision: 119014
- Update to 1.1.4.

* Mon Jan 29 2007 Lev Givon <lev@mandriva.org> 1.1.3-2mdv2007.1
+ Revision: 115137
- Install default hostfile in location expected by orted.

* Mon Jan 29 2007 Lev Givon <lev@mandriva.org> 1.1.3-1mdv2007.1
+ Revision: 114811
- Update to 1.1.3.

* Fri Jan 26 2007 Lev Givon <lev@mandriva.org> 1.1.2-1mdv2007.1
+ Revision: 113575
- Import openmpi

* Thu Jan 25 2007 Lev Givon <lev@mandriva.org> 1.1.2-1mdv2007.0
- Package for Mandriva.

